import fastify, { FastifyInstance } from 'fastify';
import fastifyAutoload from '@fastify/autoload';

const app: FastifyInstance = fastify({
    logger: true,
});

app.register(fastifyAutoload, {
    dir: `${__dirname}/routes`,
});

app.listen(3000, (err, address) => {
    if (err) {
        app.log.error(err);
        process.exit(1);
    }
    app.log.info(`server listening on ${address}`);
});